
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Open sans", Arial, Helvetica, sans-serif;
}

body {
    background-color: #F8F7FF;
}

.responsive {
    display: none;
}

h1 {
    font-size: 60px;
    text-transform: uppercase;
    margin-bottom: 50px;
    color: #D5A530;
}

h2 {
    
    font-size: 32px;
    text-transform: uppercase;
}

.ph2 {
    font-size: 32px;
}

p {
    color: #898989;
    font-size: 20px;
}

.link a {
    display: flex;
    height: 50px;
    width: 150px;
    border-radius: 50px;
    border: 5px solid #D5A530;
    color: #D5A530;
    transition-duration: 1000ms;
    text-decoration: none;
    font-size: 20px;
    justify-content: center;
    align-items: center;
}

.link a:hover {
    border: 5px solid white;
    background-color: #D5A530;
    color: white;
}

.header{
    margin-bottom: 100px;
    background-color: #333;
}

.logo-header {
    background-color: #333;
    display: flex;
    justify-content: center;
}

.logo-header img {
    height: 80px;
    
}

.nav-bar {
    display: flex;
    justify-content: space-around;
    align-items: center;
    background-color: #333;
}

.nav-bar ul {
    display: flex;
}

.nav-bar ul li {
    list-style-type: none;
}

.nav-bar ul li a{
    text-transform: uppercase;
    text-decoration: none;
    padding: 1em;
    display: block;
    color: white;
}

.nav-bar ul li a:hover{
    color: #D5A530;
}

.menu-bar {
    position: absolute;
    top: 2rem;
    right: 1rem;
    display: none;
    flex-direction: column;
    justify-content: space-between;
    width: 30px;
    height: 21px;
    
}

.menu-bar .bar {
    height: 3px;
    width: 100%;
    border-radius: 10px;
    background-color: white;
}

.section-article {
    display: flex;
    justify-content: space-between;
    max-width: 1200px;
    margin: 100px auto 0 auto;
    z-index: 1;
}

.article-img  img{
    height: 300px;
    /*37.5em*/
    width: 37.5em;
    border-radius: 15px;
    object-fit: cover;
    
}

.article-txt {
    width: 400px;
}

.article-txt h2, p{
    margin-bottom: 50px;
}
 
.logo-footer {
    display: flex;
    justify-content: center;
}

.logo-footer img{
    display: flex;
    justify-items: center;
    height: 80px;
    width: auto;
}

.footer {
    background-color: #333;
    color: white;
    width: 100%;
    margin-top: 100px;
}

.footer-links ul{
    display: flex;
    justify-content: center; 
}

.footer-links li{
   list-style: none;
   padding: 1em;
   
}

.footer-links li a {
    text-decoration: none;
    color: white;
}

.footer-links li a:hover{
    color: #D5A530;
 }

.footer-links-socials ul{
    display: flex;
    justify-content: center; 
}

.footer-links-socials li{
    list-style: none;
    
}

.footer-links-socials a{
    display: flex;
    align-items: center;
    justify-content: center;
    list-style: none;
    margin: 25px 16px 0 16px;
    height: 40px;
    width: 40px;
    border: 3px solid white;
    border-radius: 50%;
    margin-bottom: 20px;
}

.footer-links-socials li a:hover{
    background-color: #D5A530;

}

.footer-links-socials svg{
    height: 20px;
    width: auto;
    fill: white;
    
}

/*******************LANGUAGE****************************/

.dropdown {
    position: fixed;
    display: inline-block;
    top: 5em;
    right: 1em;
    z-index: 2;
    opacity: 0.7;
  }
  
.dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    padding: 12px 16px;
    z-index: 1;
    right: 1rem;
  }
  
.dropdown:hover .dropdown-content {
    display: block;
  }

.dropdown img {
    object-fit: cover;
    height: 50px;
    width: 50px;
    border-radius: 100%;
}

/********************************MEDIA QUERIES*******************************************/

@media(max-width: 1000px) {
    
    header {
        height: 50px;
        width: 100%;
    }

    header.header-active {
        height: 100px;
        width: 100%;
    }

    .menu-bar {
        display: flex;
    }

    .logo-header img {
       visibility: hidden;
    }

    .nav-bar-links{
        display: none;
        width: 100%;
    }

    .nav-bar {
        flex-direction: column;
        align-items: flex-start;
    }

    .nav-bar-links ul {
        width: 100%;
        flex-direction: column;
    }

    .nav-bar-links li {
        text-align: center; 
    }

    .nav-bar li a {
        padding: .5rem 1rem; 
    }

    .nav-bar-links.active {
        display: flex;
    }

    .dropdown {
        right: 1em;
      }
      
    .dropdown-content {
        right: 1rem;
      }

    section {
        display: flex;
        flex-wrap: wrap;
        flex-direction: column;
    }

    .section-article {
        width: auto;
        text-align: center;
    }

    .article-img {
        display: none;
    }

    .article-txt {
        width: 600px;
        text-align: center;
    }

    .link {
        display: flex;
        justify-content: center;
    }    

    .responsive {
        display: flex;
    }

    .responsive img{
        margin-bottom: 50px;
    }

    .footer-links ul{
        display: flex;
        flex-direction: column;
        align-content: center;
        
    }

    .footer-links ul li {
        text-align: center;
    }

    .footer-links-socials ul{
        display: flex;
        flex-wrap: wrap;
        flex-direction: column;
        align-content: center;
        
    }
    
}

@media(max-width: 600px) {
    h1 {
        font-size: 30px;
    }

    h2 {
        font-size: 16px;
    }

    .ph2 {
        font-size: 16px;
    }

    .article-txt {
        width: auto;
    }

    .article-img img{
        height: 125px;
        width: 300px;
        align-content: center;
    }

    /************************** Outil de traduction*********************************/

    .dropdown {
        right: 0.5em;
    }

    .dropdown-content {
        right: 0.5em;
    }
}

@media(max-width: 300px) {
    .article-img img {
        height: 125px;
        width: 100%;
        object-fit: cover;
        object-position: center;
    }
}
